New Arrivals
2 min
f you haven't gone through the prerequisites and the v2 structure, please have a look at Overview
Klevu can power a recommendation banner showcasing the newest products in the store. The most common placements for this banner type are:
Homepage: New Arrivals Show a recommendation banner with the newest products across the entire store.
Category Page: New Arrivals in {Category} Show a banner with the newest products within a specific category.
The newness of each product is determined by an attribute in your catalogue which can be configured via our Klevu Support team. It could be the Product ID or a date field, for example.
New Arrivals Product Recommendations
The end-point is used for retrieving new arrival product recommendations.
POST
https://eucs19v2.ksearchnet.com/cs/v2/search
Body Parameters
- typeOfRequestStringrequiredDescription
- categoryPathstringDescription
Request Body (JSON)
{
"context": {
"apiKeys": [
"klevu-158755634955912036"
]
},
"recordQueries": [
{
"id": "recsNewArrivals",
"typeOfRequest": "RECS_NEW_ARRIVALS",
"settings": {
"query": {
"categoryPath": "Women Sweatshirts"
},
"typeOfRecords": [
"KLEVU_PRODUCT"
]
}
}
]
}php
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://eucs19v2.ksearchnet.com/cs/v2/search',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS =>'{
"context": {
"apiKeys": [
"klevu-158755634955912036"
]
},
"recordQueries": [
{
"id": "recsNewArrivals",
"typeOfRequest": "RECS_NEW_ARRIVALS",
"settings": {
"query": {
"categoryPath": "Women Sweatshirts"
},
"typeOfRecords": [
"KLEVU_PRODUCT"
]
}
}
]
}',
CURLOPT_HTTPHEADER => array(
'Content-Type: application/json'
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
javascript
var data = JSON.stringify({"context":{"apiKeys":["klevu-158755634955912036"]},"recordQueries":[{"id":"recsNewArrivals","typeOfRequest":"RECS_NEW_ARRIVALS","settings":{"query":{"categoryPath":"Women Sweatshirts"},"typeOfRecords":["KLEVU_PRODUCT"]}}]});
var xhr = new XMLHttpRequest();
xhr.withCredentials = false;
xhr.addEventListener("readystatechange", function() {
if(this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open("POST", "https://eucs19v2.ksearchnet.com/cs/v2/search");
xhr.setRequestHeader("Content-Type", "application/json");
xhr.send(data);java
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n \"context\": {\n \"apiKeys\": [\n \"klevu-158755634955912036\"\n ]\n },\n \"recordQueries\": [\n {\n \"id\": \"recsNewArrivals\",\n \"typeOfRequest\": \"RECS_NEW_ARRIVALS\",\n \"settings\": {\n \"query\": {\n \"categoryPath\": \"Women Sweatshirts\"\n },\n \"typeOfRecords\": [\n \"KLEVU_PRODUCT\"\n ]\n }\n }\n ]\n}");
Request request = new Request.Builder()
.url("https://eucs19v2.ksearchnet.com/cs/v2/search")
.method("POST", body)
.addHeader("Content-Type", "application/json")
.build();
Response response = client.newCall(request).execute();nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://eucs19v2.ksearchnet.com/cs/v2/search',
'headers': {
'Content-Type': 'application/json'
},
body: JSON.stringify({"context":{"apiKeys":["klevu-158755634955912036"]},"recordQueries":[{"id":"recsNewArrivals","typeOfRequest":"RECS_NEW_ARRIVALS","settings":{"query":{"categoryPath":"Women Sweatshirts"},"typeOfRecords":["KLEVU_PRODUCT"]}}]})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
200
{
"meta": {
"qTime": 17,
"responseCode": 200
},
"queryResults": [
{
"id": "recsNewArrivals",
"meta": {
"qTime": 15,
"noOfResults": 12,
"totalResultsFound": 26,
"typeOfSearch": "WILDCARD_AND",
"offset": 0,
"debuggingInformation": {},
"notificationCode": 1,
"searchedTerm": "*",
"apiKey": "klevu-158755634955912036",
"isPersonalised": false
},
"records": [
{
"color": "3D 3",
"discount": "",
"hideGroupPrices": "",
"itemGroupId": "5192760524931",
"freeShipping": "",
"storeBaseCurrency": "EUR",
"price": "28.54",
"toPrice": "",
"imageUrl": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1316178419_medium.jpg?v=1611183938&vid=34322715246723,34322715279491,34322715312259,34322715345027,34322715377795,34322715410563,34322715443331,34322715476099,34322715508867,34322715541635,34322715574403,34322715607171",
"currency": "EUR",
"inStock": "yes",
"id": "34322715607171",
"imageHover": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1316178417_medium.jpg?v=1611183938&vid=34322713673859,34322713739395,34322713804931,34322713870467,34322713936003,34322714001539,34322714067075,34322714132611,34322714198147,34322714263683,34322714329219,34322714394755,34322715115651,34322715148419,34322715181187",
"sku": "31527085-3d-3-xl",
"brand": "klevu-personalisation-demo",
"startPrice": "25.82",
"image": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1316178419_medium.jpg?v=1611183938&vid=34322715246723,34322715279491,34322715312259,34322715345027,34322715377795,34322715410563,34322715443331,34322715476099,34322715508867,34322715541635,34322715574403,34322715607171",
"deliveryInfo": "",
"hideAddToCart": "",
"salePrice": "28.54",
"swatchesInfo": "variantColor1:3D 5 ;;;; variantColor3:3D 5 ;;;; variantColor2:3D 6 ;;;; variantColor5:3D 7 ;;;; variantColor4:3D 6 ;;;; variantColor6:3D 6 ;;;; variantImage6:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1316178422_medium.jpg?v=1611184010&vid=16847203926147 ;;;; variantImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1316178421_medium.jpg?v=1611184011&vid=16847204155523 ;;;; variantId6:34322709741699 ;;;; variantImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1316178422_medium.jpg?v=1611184010&vid=16847203926147 ;;;; variantImage5:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1316178423_medium.jpg?v=1611183938&vid=16847188230275 ;;;; variantId4:34322709250179 ;;;; variantImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1316178422_medium.jpg?v=1611184010&vid=16847203926147 ;;;; variantId5:34322709512323 ;;;; variantId2:34322707513475 ;;;; variantId3:34322707644547 ;;;; variantImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1316178421_medium.jpg?v=1611184011&vid=16847204155523 ;;;; variantId1:34322707153027 ;;;;",
"weight": "",
"klevu_category": "KLEVU_PRODUCT;Products;;All;;Women Coats & Jackets;;Women Sweatshirts @ku@kuCategory@ku@",
"totalVariants": 99,
"groupPrices": "",
"url": "https://klevu-personalisation-demo.myshopify.com/products/neon-green-hoody-men-women-harajuku-clothes-store-for-customization-3d-hoodie-sweatshirt-street-colorful-print-hip-hop-trend-4xl",
"size": "XL",
"name": "3D Hoodie Sweatshirt",
"shortDesc": "gender:gender:men,women; size:size:,OVERSIZED; season:season:autumn,winter,spring; closure:closure:none; ;;;; Brand Name: aikooki Sleeve Length(cm): Full Clot",
"category": "All;;Women Coats & Jackets;;Women Sweatshirts",
"typeOfRecord": "KLEVU_PRODUCT"
},
{
"discount": "",
"hideGroupPrices": "",
"itemGroupId": "5192759836803",
"freeShipping": "",
"storeBaseCurrency": "EUR",
"price": "50.00",
"toPrice": "",
"imageUrl": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665234340_medium.jpg?v=1611184264",
"currency": "EUR",
"inStock": "yes",
"id": "34322682871939",
"imageHover": "",
"sku": "42882497-m",
"brand": "klevu-personalisation-demo",
"startPrice": "",
"image": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665234340_medium.jpg?v=1611184264",
"deliveryInfo": "",
"hideAddToCart": "",
"salePrice": "50.0",
"swatchesInfo": "",
"weight": "",
"klevu_category": "KLEVU_PRODUCT;Products;;All;;Women Sweatshirts @ku@kuCategory@ku@",
"totalVariants": 2,
"groupPrices": "",
"url": "https://klevu-personalisation-demo.myshopify.com/products/womens-navy-blue-zipper-hooded-fleece-sweatshirt-ox00006",
"name": "WoMen's Zipper Hooded Fleece Sweatshirt",
"shortDesc": ";;;; Brand Name: Happiness ist. Material: Cotton Origin: CN(Origin)",
"category": "All;;Women Sweatshirts",
"typeOfRecord": "KLEVU_PRODUCT"
},
{
"color": "Dk Blue",
"discount": "",
"hideGroupPrices": "",
"itemGroupId": "5192759410819",
"freeShipping": "",
"storeBaseCurrency": "EUR",
"price": "300.00",
"toPrice": "",
"imageUrl": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-966181077_medium.jpg?v=1611183929&vid=34322645876867,34322646433923,34322646958211",
"currency": "EUR",
"inStock": "yes",
"id": "34322646958211",
"imageHover": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-966181077_medium.jpg?v=1611183929&vid=34322645876867,34322646433923,34322646958211",
"sku": "26101891-dk-blue-l",
"brand": "klevu-personalisation-demo",
"startPrice": "",
"image": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-966181077_medium.jpg?v=1611183929&vid=34322645876867,34322646433923,34322646958211",
"deliveryInfo": "",
"hideAddToCart": "",
"salePrice": "300.0",
"swatchesInfo": "variantColor1:dk blue ;;;; variantImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-966181077_medium.jpg?v=1611183929&vid=16847187607683 ;;;; variantId1:34322645876867 ;;;;",
"weight": "",
"klevu_category": "KLEVU_PRODUCT;Products;;All;;Women Coats & Jackets;;Women Sweatshirts @ku@kuCategory@ku@",
"totalVariants": 2,
"groupPrices": "",
"url": "https://klevu-personalisation-demo.myshopify.com/products/high-grade-100-cotton-knit-womens-new-fashion-hooded-zipper-sweatshirts-warm-thick-dark-blue-s-m-l",
"fabric": "Knitted",
"name": "100% Cotton Knit Women's New Fashion Hooded Zipper Sweatshirts",
"shortDesc": "fabric:fabric:knitted; ;;;; Gender: WOMEN Item Type: Hoodies Item Type: Sweatshirts Sleeve Length(cm): Full",
"category": "All;;Women Coats & Jackets;;Women Sweatshirts",
"typeOfRecord": "KLEVU_PRODUCT"
},
{
"color": "Black 2",
"discount": "",
"hideGroupPrices": "",
"itemGroupId": "5192758067331",
"freeShipping": "",
"storeBaseCurrency": "EUR",
"price": "28.48",
"toPrice": "",
"imageUrl": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1624152411_medium.jpg?v=1611184378&vid=34322640142467,34322640175235,34322640470147,34322640502915,34322640535683,34322640568451",
"currency": "EUR",
"inStock": "yes",
"id": "34322640568451",
"imageHover": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1624152414_medium.jpg?v=1611184222",
"sku": "39828275-black-2-xxxl",
"brand": "klevu-personalisation-demo",
"startPrice": "25.98",
"image": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1624152411_medium.jpg?v=1611184378&vid=34322640142467,34322640175235,34322640470147,34322640502915,34322640535683,34322640568451",
"deliveryInfo": "",
"hideAddToCart": "",
"salePrice": "28.48",
"swatchesInfo": "variantColor1:Black 13 ;;;; variantColor3:Black 13 ;;;; variantColor2:Gary ;;;; variantColor5:Gary ;;;; variantColor4:Red ;;;; variantColor6:Red ;;;; variantSwatchImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/red.png?v=1587554100 ;;;; variantImage6:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1624152402_medium.jpg?v=1611184222&vid=16847187804291 ;;;; variantSwatchImage6:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/red.png?v=1587554100 ;;;; variantImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1624152422_medium.jpg?v=1611184222&vid=16847197700227 ;;;; variantId6:34322637193347 ;;;; variantImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1624152403_medium.jpg?v=1611184222&vid=16847191638147 ;;;; variantImage5:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1624152403_medium.jpg?v=1611184222&vid=16847191638147 ;;;; variantId4:34322636505219 ;;;; variantImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1624152402_medium.jpg?v=1611184222&vid=16847187804291 ;;;; variantId5:34322636963971 ;;;; variantId2:34322635456643 ;;;; variantId3:34322636046467 ;;;; variantImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1624152422_medium.jpg?v=1611184222&vid=16847197700227 ;;;; variantId1:34322635227267 ;;;;",
"weight": "",
"klevu_category": "KLEVU_PRODUCT;Products;;All;;Women Sweatshirts @ku@kuCategory@ku@",
"totalVariants": 99,
"groupPrices": "",
"url": "https://klevu-personalisation-demo.myshopify.com/products/kawaii-hunter-x-hunter-hoodies-men-women-short-sleeve-sweatshirt-killua-zoldyck-anime-manga-black-hoodies-bluzy-tops-clothes",
"size": "XXXL",
"name": "Short Sleeve Sweatshirt",
"shortDesc": "closure:closure:none; ;;;; Brand Name: Dshztooma Origin: CN(Origin) Sleeve Length(cm): Full Style: Casual",
"category": "All;;Women Sweatshirts",
"typeOfRecord": "KLEVU_PRODUCT"
},
{
"color": "Black",
"discount": "",
"hideGroupPrices": "",
"itemGroupId": "5192756265091",
"freeShipping": "",
"storeBaseCurrency": "EUR",
"price": "389.64",
"toPrice": "",
"imageUrl": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665232586_medium.jpg?v=1611184219&vid=34322564546691,34322567102595,34322567757955,34322568282243,34322568773763",
"currency": "EUR",
"inStock": "yes",
"id": "34322568773763",
"imageHover": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665232586_medium.jpg?v=1611184219&vid=34322564546691,34322567102595,34322567757955,34322568282243,34322568773763",
"sku": "42882449-black-xl-china",
"brand": "klevu-personalisation-demo",
"startPrice": "",
"image": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665232586_medium.jpg?v=1611184219&vid=34322564546691,34322567102595,34322567757955,34322568282243,34322568773763",
"deliveryInfo": "",
"hideAddToCart": "",
"salePrice": "389.64",
"swatchesInfo": "variantColor1:White ;;;; variantColor3:White ;;;; variantColor2:Black ;;;; variantColor4:Black ;;;; variantSwatchImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/black.jpg?v=1587554091 ;;;; variantSwatchImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/black.jpg?v=1587554091 ;;;; variantImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665232587_medium.jpg?v=1611184219&vid=16847189377155 ;;;; variantImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665232586_medium.jpg?v=1611184219&vid=16847189246083 ;;;; variantId4:34322567102595 ;;;; variantImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665232586_medium.jpg?v=1611184219&vid=16847189246083 ;;;; variantId2:34322564546691 ;;;; variantId3:34322565169283 ;;;; variantImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665232587_medium.jpg?v=1611184219&vid=16847189377155 ;;;; variantId1:34322563268739 ;;;;",
"weight": "",
"klevu_category": "KLEVU_PRODUCT;Products;;All;;Women Sweatshirts @ku@kuCategory@ku@",
"totalVariants": 9,
"groupPrices": "",
"url": "https://klevu-personalisation-demo.myshopify.com/products/havva-spring-autumn-new-fashion-round-neck-pullover-100-cotton-womens-pop-doodle-print-black-sweatshirt-v30640",
"size": "XL",
"name": "New Fashion Round-Neck Pullover 100% Cotton WoMen's Pop Doodle Print Sweatshirt",
"ships_from": "China",
"shortDesc": "gender:gender:women; fabric:fabric:cotton; age:age:ages 18-35 years old; ;;;; Brand Name: HAVVA Material: Cotton Item Type: Sweatshirts",
"category": "All;;Women Sweatshirts",
"typeOfRecord": "KLEVU_PRODUCT"
},
{
"color": "Green",
"discount": "",
"hideGroupPrices": "",
"itemGroupId": "5192755871875",
"freeShipping": "",
"storeBaseCurrency": "EUR",
"price": "234.12",
"toPrice": "",
"imageUrl": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665234141_medium.jpg?v=1611184211&vid=34322509136003,34322515787907,34322517688451",
"currency": "EUR",
"inStock": "yes",
"id": "34322517688451",
"imageHover": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665234140_medium.jpg?v=1611184200&vid=34322507268227,34322511396995,34322513985667",
"sku": "42882491-green-s",
"brand": "klevu-personalisation-demo",
"startPrice": "",
"image": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665234141_medium.jpg?v=1611184211&vid=34322509136003,34322515787907,34322517688451",
"deliveryInfo": "",
"hideAddToCart": "",
"salePrice": "234.12",
"swatchesInfo": "variantColor1:Blue ;;;; variantColor3:Blue ;;;; variantColor2:Green ;;;; variantColor4:Green ;;;; variantImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665234140_medium.jpg?v=1611184200&vid=16847217393795 ;;;; variantImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665234141_medium.jpg?v=1611184211&vid=16847218311299 ;;;; variantId4:34322515787907 ;;;; variantImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665234141_medium.jpg?v=1611184211&vid=16847218311299 ;;;; variantId2:34322509136003 ;;;; variantId3:34322511396995 ;;;; variantImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665234140_medium.jpg?v=1611184200&vid=16847217393795 ;;;; variantId1:34322507268227 ;;;;",
"weight": "",
"klevu_category": "KLEVU_PRODUCT;Products;;All;;Women Sweatshirts @ku@kuCategory@ku@",
"totalVariants": 5,
"groupPrices": "",
"url": "https://klevu-personalisation-demo.myshopify.com/products/spring-2020-new-autumn-women-casual-sporty-style-loose-knitted-cotton-sweatshirt-ladies-thick-blue-green-long-hoodies",
"fabric": "Knitted",
"name": "New Women Casual Sporty Style Loose Knitted Cotton Sweatshirt Ladies Thick / Long Hoodies",
"shortDesc": "fabric:fabric:knitted; age:age:ages 18-35 years old; ;;;; Material: Spandex Material: Cotton Sleeve Style: Regular Sleeve Len",
"category": "All;;Women Sweatshirts",
"age": "Ages 18-35 Years Old",
"typeOfRecord": "KLEVU_PRODUCT"
},
{
"color": "3D 5",
"discount": "",
"hideGroupPrices": "",
"itemGroupId": "5192755380355",
"freeShipping": "",
"storeBaseCurrency": "EUR",
"price": "26.96",
"toPrice": "",
"imageUrl": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1548801482_medium.jpg?v=1611183908&vid=34322582929539,34322583257219,34322583584899,34322583912579,34322584273027,34322584666243,34322585026691,34322585452675",
"currency": "EUR",
"inStock": "yes",
"id": "34322585452675",
"imageHover": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1548801482_medium.jpg?v=1611183908&vid=34322582929539,34322583257219,34322583584899,34322583912579,34322584273027,34322584666243,34322585026691,34322585452675",
"sku": "37091373-3d-5-xxxl",
"brand": "klevu-personalisation-demo",
"startPrice": "26.36",
"image": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1548801482_medium.jpg?v=1611183908&vid=34322582929539,34322583257219,34322583584899,34322583912579,34322584273027,34322584666243,34322585026691,34322585452675",
"deliveryInfo": "",
"hideAddToCart": "",
"salePrice": "26.96",
"swatchesInfo": "variantColor1:3D ;;;; variantColor3:3D 12 ;;;; variantColor2:3D 11 ;;;; variantColor5:3D 6 ;;;; variantColor4:3D 7 ;;;; variantColor6:3D 7 ;;;; variantImage6:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1548801484_medium.jpg?v=1611184336&vid=16847231680643 ;;;; variantImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1548801489_medium.jpg?v=1611183980&vid=16847198191747 ;;;; variantId6:34322539380867 ;;;; variantImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1548801488_medium.jpg?v=1611184375&vid=16847234957443 ;;;; variantImage5:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1548801483_medium.jpg?v=1611184373&vid=16847233941635 ;;;; variantId4:34322535940227 ;;;; variantImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1548801484_medium.jpg?v=1611184336&vid=16847231680643 ;;;; variantId5:34322537087107 ;;;; variantId2:34322517295235 ;;;; variantId3:34322525290627 ;;;; variantImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1548801478_medium.jpg?v=1611184383&vid=16847236628611 ;;;; variantId1:34322506481795 ;;;;",
"weight": "",
"klevu_category": "KLEVU_PRODUCT;Products;;All;;Women Sweatshirts;;Mens Sweaters @ku@kuCategory@ku@",
"totalVariants": 99,
"groupPrices": "",
"url": "https://klevu-personalisation-demo.myshopify.com/products/3d-printed-hoodies-one-piece-hoodie-men-sweatshirt-women-harajuku-pullovers-casual-hot-sale-anime-black-3d-hoodies-clothes",
"size": "XXXL",
"name": "3D Printed Hoodies One Piece Hoodie Men Sweatshirt Women Harajuku Pullovers Casual Hot Sale Anime 3D Hoodies Clothes",
"shortDesc": "gender:gender:men,men; closure:closure:none; ;;;; Brand Name: Rholycrown Origin: CN(Origin) Sleeve Length(cm): Full Gender:",
"category": "All;;Women Sweatshirts;;Mens Sweaters",
"typeOfRecord": "KLEVU_PRODUCT"
},
{
"color": "Black",
"discount": "",
"hideGroupPrices": "",
"itemGroupId": "5192754593923",
"freeShipping": "",
"storeBaseCurrency": "EUR",
"price": "32.08",
"toPrice": "",
"imageUrl": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1447340729_medium.jpg?v=1611184264&vid=34322557829251,34322558648451,34322559238275,34322559959171,34322560712835,34322561532035",
"currency": "EUR",
"inStock": "yes",
"id": "34322561532035",
"imageHover": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1447340730_medium.jpg?v=1611183859&vid=34322527256707,34322528370819,34322529583235,34322530795651,34322534236291,34322535317635",
"sku": "37965190-black-l",
"brand": "klevu-personalisation-demo",
"startPrice": "16.88",
"image": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1447340729_medium.jpg?v=1611184264&vid=34322557829251,34322558648451,34322559238275,34322559959171,34322560712835,34322561532035",
"deliveryInfo": "",
"hideAddToCart": "",
"salePrice": "32.08",
"swatchesInfo": "variantColor1:Purple ;;;; variantColor3:Yellow ;;;; variantColor2:Red ;;;; variantColor5:Yellow ;;;; variantColor4:Red ;;;; variantColor6:Navy Blue ;;;; variantSwatchImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/red.png?v=1587554100 ;;;; variantSwatchImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/red.png?v=1587554100 ;;;; variantImage6:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1447340739_medium.jpg?v=1611183981&vid=16847198421123 ;;;; variantImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1447340738_medium.jpg?v=1611183981&vid=16847198486659 ;;;; variantId6:34322512281731 ;;;; variantImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1447340737_medium.jpg?v=1611183964&vid=16847195308163 ;;;; variantImage5:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1447340738_medium.jpg?v=1611183981&vid=16847198486659 ;;;; variantId4:34322504679555 ;;;; variantImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1447340737_medium.jpg?v=1611183964&vid=16847195308163 ;;;; variantId5:34322507202691 ;;;; variantId2:34322497699971 ;;;; variantId3:34322502418563 ;;;; variantImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1447340736_medium.jpg?v=1611184271&vid=16847228141699 ;;;; variantId1:34322494455939 ;;;;",
"weight": "",
"klevu_category": "KLEVU_PRODUCT;Products;;All;;Women Sweatshirts @ku@kuCategory@ku@",
"totalVariants": 65,
"groupPrices": "",
"url": "https://klevu-personalisation-demo.myshopify.com/products/2020-new-brand-paris-fashion-vetements-air-transport-dhl-hoodies-men-sweatshirts-men-and-women-sweatshirt-tops-letter-yellow-073",
"size": "L",
"name": "New Brand Paris Fashion Air Transport Dhl Hoodies Men Sweatshirts Men And Women Sweatshirt",
"shortDesc": "gender:gender:men; closure:closure:none; ;;;; Brand Name: LIZHENDANZHE Sleeve Length(cm): Full Gender: MEN Style: Ca",
"category": "All;;Women Sweatshirts",
"typeOfRecord": "KLEVU_PRODUCT"
},
{
"gender": "Women",
"color": "White",
"discount": "",
"hideGroupPrices": "",
"itemGroupId": "5192754331779",
"freeShipping": "",
"storeBaseCurrency": "EUR",
"price": "95.00",
"toPrice": "",
"imageUrl": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665231578_medium.jpg?v=1611184237&vid=34322489016451,34322489901187,34322490818691,34322491310211",
"currency": "EUR",
"inStock": "yes",
"id": "34322491310211",
"imageHover": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665231578_medium.jpg?v=1611184237&vid=34322489016451,34322489901187,34322490818691,34322491310211",
"sku": "42882418-white-s",
"brand": "klevu-personalisation-demo",
"startPrice": "",
"image": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665231578_medium.jpg?v=1611184237&vid=34322489016451,34322489901187,34322490818691,34322491310211",
"deliveryInfo": "",
"hideAddToCart": "",
"salePrice": "95.0",
"swatchesInfo": "variantColor1:Black ;;;; variantColor3:Black ;;;; variantColor2:White ;;;; variantSwatchImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/black.jpg?v=1587554091 ;;;; variantColor5:Black ;;;; variantColor4:White ;;;; variantSwatchImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/black.jpg?v=1587554091 ;;;; variantColor6:White ;;;; variantSwatchImage5:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/black.jpg?v=1587554091 ;;;; variantImage6:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665231578_medium.jpg?v=1611184237&vid=16847175745667 ;;;; variantId6:34322490818691 ;;;; variantImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665231577_medium.jpg?v=1611184237&vid=16847218016387 ;;;; variantImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665231578_medium.jpg?v=1611184237&vid=16847175745667 ;;;; variantId4:34322489901187 ;;;; variantImage5:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665231577_medium.jpg?v=1611184237&vid=16847218016387 ;;;; variantId5:34322490228867 ;;;; variantImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665231578_medium.jpg?v=1611184237&vid=16847175745667 ;;;; variantId2:34322489016451 ;;;; variantId3:34322489409667 ;;;; variantImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1665231577_medium.jpg?v=1611184237&vid=16847218016387 ;;;; variantId1:34322488262787 ;;;;",
"weight": "",
"klevu_category": "KLEVU_PRODUCT;Products;;All;;Women Sweatshirts @ku@kuCategory@ku@",
"totalVariants": 7,
"groupPrices": "",
"url": "https://klevu-personalisation-demo.myshopify.com/products/private-butterfly-backpack-printed-casual-cut-white-unisex-sweatshirt-two-color-option",
"name": "Private Butterfly Backpack Printed Casual Cut Unisex Sweatshirt",
"shortDesc": "gender:gender:women]]>; ;;;; Origin: TR(Origin) Item Type: Hoodies Material: Cotton Gender: WOMEN",
"category": "All;;Women Sweatshirts",
"typeOfRecord": "KLEVU_PRODUCT"
},
{
"color": "Blue-5",
"discount": "",
"hideGroupPrices": "",
"itemGroupId": "5192753545347",
"freeShipping": "",
"storeBaseCurrency": "EUR",
"price": "32.00",
"toPrice": "",
"imageUrl": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1646110681_medium.jpg?v=1611184237&vid=34322485903491,34322485936259,34322485969027",
"currency": "EUR",
"inStock": "yes",
"id": "34322485969027",
"imageHover": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1646110671_medium.jpg?v=1611184197&vid=34322484166787,34322484494467,34322484625539,34322484756611,34322484920451,34322485051523,34322485182595,34322485313667,34322485411971,34322485543043",
"sku": "42346497-blue-5-6xl",
"brand": "klevu-personalisation-demo",
"startPrice": "25.6",
"image": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1646110681_medium.jpg?v=1611184237&vid=34322485903491,34322485936259,34322485969027",
"deliveryInfo": "",
"hideAddToCart": "",
"salePrice": "32.0",
"swatchesInfo": "variantColor1:Red-5 ;;;; variantColor3:Red-5 ;;;; variantColor2:Red-4 ;;;; variantColor5:Red-2 ;;;; variantColor4:Red-3 ;;;; variantColor6:Red-4 ;;;; variantImage6:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1646110683_medium.jpg?v=1611184254&vid=16847224569987 ;;;; variantImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1646110679_medium.jpg?v=1611184197&vid=16847184625795 ;;;; variantId6:34322470862979 ;;;; variantImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1646110683_medium.jpg?v=1611184254&vid=16847224569987 ;;;; variantImage5:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1646110678_medium.jpg?v=1611184234&vid=16847220736131 ;;;; variantId4:34322466865283 ;;;; variantImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1646110682_medium.jpg?v=1611184253&vid=16847224373379 ;;;; variantId5:34322470436995 ;;;; variantId2:34322460901507 ;;;; variantId3:34322463424643 ;;;; variantImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1646110679_medium.jpg?v=1611184197&vid=16847184625795 ;;;; variantId1:34322459394179 ;;;;",
"weight": "",
"klevu_category": "KLEVU_PRODUCT;Products;;All;;Women Sweatshirts @ku@kuCategory@ku@",
"totalVariants": 99,
"groupPrices": "",
"url": "https://klevu-personalisation-demo.myshopify.com/products/maidangdi-oversized-hoodie-loose-cotton-solid-color-sweatshirt-comfortable-leisure-furniture-outdoor-pullover-chinese-red-hoodie",
"size": "6XL",
"name": "Oversized Hoodie Loose Cotton Solid Sweatshirt Outdoor Pullover Chinese Hoodie",
"shortDesc": "closure:closure:none; ;;;; Brand Name: MaiDangDi Origin: CN(Origin) Sleeve Length(cm): Full Style: Casual",
"category": "All;;Women Sweatshirts",
"typeOfRecord": "KLEVU_PRODUCT"
},
{
"color": "orange2",
"discount": "",
"hideGroupPrices": "",
"itemGroupId": "5192753610883",
"freeShipping": "",
"storeBaseCurrency": "EUR",
"price": "23.58",
"toPrice": "",
"imageUrl": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1659462194_medium.jpg?v=1611184242&vid=34322484822147,34322484953219,34322485084291,34322485215363",
"currency": "EUR",
"inStock": "yes",
"id": "34322485215363",
"imageHover": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1659462192_medium.jpg?v=1611184202&vid=34322483380355,34322483478659,34322483609731,34322483740803,34322483871875,34322483970179",
"sku": "42716014-orange2-xl",
"brand": "klevu-personalisation-demo",
"startPrice": "",
"image": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1659462194_medium.jpg?v=1611184242&vid=34322484822147,34322484953219,34322485084291,34322485215363",
"deliveryInfo": "",
"hideAddToCart": "",
"salePrice": "23.58",
"swatchesInfo": "variantColor1:khaki1 ;;;; variantColor3:orange1 ;;;; variantColor2:yellow1 ;;;; variantColor5:purple1 ;;;; variantColor4:dark green1 ;;;; variantColor6:pink1 ;;;; variantImage6:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1659462183_medium.jpg?v=1611184259&vid=16847225880707 ;;;; variantImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1659462180_medium.jpg?v=1611184260&vid=16847226011779 ;;;; variantId6:34322470600835 ;;;; variantImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1659462179_medium.jpg?v=1611184258&vid=16847225421955 ;;;; variantImage5:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1659462182_medium.jpg?v=1611184202&vid=16847175647363 ;;;; variantId4:34322466013315 ;;;; variantImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1659462181_medium.jpg?v=1611184256&vid=16847225028739 ;;;; variantId5:34322468438147 ;;;; variantId2:34322460278915 ;;;; variantId3:34322463260803 ;;;; variantImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1659462178_medium.jpg?v=1611184202&vid=16847183184003 ;;;; variantId1:34322456903811 ;;;;",
"weight": "",
"klevu_category": "KLEVU_PRODUCT;Products;;All;;Women Sweatshirts;;Mens Sweaters @ku@kuCategory@ku@",
"totalVariants": 99,
"groupPrices": "",
"url": "https://klevu-personalisation-demo.myshopify.com/products/couple-lovers-sweatshirts-pullover-men-women-fashion-smiley-face-printed-purple-green-justin-bieber-hoodie",
"size": "XL",
"name": "Couple Lovers Sweatshirts Pullover Men Women Fashion Smiley Face Printed Justin Bieber Hoodie",
"shortDesc": "gender:gender:men; closure:closure:none; ;;;; Brand Name: MEUGLEMENT Origin: CN(Origin) Sleeve Length(cm): Full Gender:",
"category": "All;;Women Sweatshirts;;Mens Sweaters",
"typeOfRecord": "KLEVU_PRODUCT"
},
{
"color": "3D",
"discount": "",
"hideGroupPrices": "",
"itemGroupId": "5192752988291",
"freeShipping": "",
"storeBaseCurrency": "EUR",
"price": "26.96",
"toPrice": "",
"imageUrl": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1636598344_medium.jpg?v=1611184263&vid=34322474107011,34322474336387,34322474598531,34322474860675,34322482987139,34322483118211,34322483282051",
"currency": "EUR",
"inStock": "yes",
"id": "34322483282051",
"imageHover": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1636598366_medium.jpg?v=1611184175",
"sku": "42092817-3d-xl",
"brand": "klevu-personalisation-demo",
"startPrice": "23.92",
"image": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1636598344_medium.jpg?v=1611184263&vid=34322474107011,34322474336387,34322474598531,34322474860675,34322482987139,34322483118211,34322483282051",
"deliveryInfo": "",
"hideAddToCart": "",
"salePrice": "26.96",
"swatchesInfo": "variantColor1:3D 7 ;;;; variantColor3:3D 7 ;;;; variantColor2:3D 8 ;;;; variantColor5:3D 7 ;;;; variantColor4:3D 6 ;;;; variantColor6:3D 6 ;;;; variantImage6:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1636598354_medium.jpg?v=1611184251&vid=16847224012931 ;;;; variantImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1636598356_medium.jpg?v=1611184254&vid=16847224668291 ;;;; variantId6:34322459984003 ;;;; variantImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1636598358_medium.jpg?v=1611184237&vid=16847221489795 ;;;; variantImage5:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1636598356_medium.jpg?v=1611184254&vid=16847224668291 ;;;; variantId4:34322456215683 ;;;; variantImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1636598354_medium.jpg?v=1611184251&vid=16847224012931 ;;;; variantId5:34322459492483 ;;;; variantId2:34322451628163 ;;;; variantId3:34322452775043 ;;;; variantImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1636598356_medium.jpg?v=1611184254&vid=16847224668291 ;;;; variantId1:34322448253059 ;;;;",
"weight": "",
"klevu_category": "KLEVU_PRODUCT;Products;;All;;Women Sweatshirts @ku@kuCategory@ku@",
"totalVariants": 99,
"groupPrices": "",
"url": "https://klevu-personalisation-demo.myshopify.com/products/anime-naruto-3d-hoodies-men-sweatshirts-women-autumn-hip-hop-kids-hoodie-fashion-3d-print-naruto-boys-white-and-black-pullovers",
"size": "XL",
"name": "Anime Naruto 3D Hoodies Men Sweatshirts Women Hip Hop Kids Hoodie Fashion 3D Print Naruto Boys And Pullovers",
"shortDesc": "gender:gender:men; closure:closure:none; ;;;; Brand Name: Rholycrown Sleeve Length(cm): Full Style: Casual Pattern Type:",
"category": "All;;Women Sweatshirts",
"typeOfRecord": "KLEVU_PRODUCT"
}
],
"filters": []
}
]
}Try it here!